Skip to content

/fal-ai/nano-banana Text-to-Image ​

POST https://www.kkiai.com/fal-ai/nano-banana

Official Documentation: https://fal.ai/models/fal-ai/nano-banana

Request Parameters ​

Body Parameters (application/json) ​

ParameterTypeRequiredDescription
promptstringRequired
num_imagesintegerOptionalNumber of images to generate. Range: 1-4. Default: 1

Request Example ​

json
{
    "prompt": "An action shot of a black lab swimming in an inground suburban swimming pool. The camera is placed meticulously on the water line, dividing the image in half, revealing both the dogs head above water holding a tennis ball in it's mouth, and it's paws paddling underwater.",
    "num_images": 1
}

cURL Example ​

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/nano-banana' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "An action shot of a black lab swimming in an inground suburban swimming pool. The camera is placed meticulously on the water line, dividing the image in half, revealing both the dogs head above water holding a tennis ball in it'\''s mouth, and it'\''s paws paddling underwater.",
    "num_images": 1
}'

Response ​

🟢 200 Success

Response Body ​

ParameterTypeRequiredDescription
statusstringRequired
request_idstringRequired
response_urlstringRequired
status_urlstringRequired
cancel_urlstringRequired
logsnullRequired
metricsobjectRequired
queue_positionintegerRequired

Response Example ​

json
{
    "status": "IN_QUEUE",
    "request_id": "e7e9202c-efb8-40f2-81c3-13b3f7aaa4ca",
    "response_url": "https://queue.fal.run/fal-ai/nano-banana/requests/e7e9202c-efb8-40f2-81c3-13b3f7aaa4ca",
    "status_url": "https://queue.fal.run/fal-ai/nano-banana/requests/e7e9202c-efb8-40f2-81c3-13b3f7aaa4ca/status",
    "cancel_url": "https://queue.fal.run/fal-ai/nano-banana/requests/e7e9202c-efb8-40f2-81c3-13b3f7aaa4ca/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}